Get Leads in Bulk
curl --request POST \
--url https://api.getnexor.ai/api/public/leads/bulk/get \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"lead_ids": [
"<string>"
]
}
'import requests
url = "https://api.getnexor.ai/api/public/leads/bulk/get"
payload = { "lead_ids": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({lead_ids: ['<string>']})
};
fetch('https://api.getnexor.ai/api/public/leads/bulk/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"leads": [
{
"lead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"company": "<string>",
"title": "<string>",
"source": "<string>",
"city": "<string>",
"date_of_birth": "2023-12-25",
"external_id": "<string>",
"metadata": {},
"tags": [
"<unknown>"
],
"is_unsubscribed": true,
"do_not_contact": true,
"is_unreachable": true,
"last_contacted_at": "2023-11-07T05:31:56Z",
"last_response_at": "2023-11-07T05:31:56Z",
"total_messages_sent": 123,
"total_messages_received": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"phone_valid": true,
"phone_e164": "<string>",
"active_workflow_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"human_takeover": true,
"cadence_state": "<string>",
"run_status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"conversation_summary": "<string>",
"conversation_summary_at": "2023-11-07T05:31:56Z",
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"goal_type": "<string>"
},
"current_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"label": "<string>",
"category": "<string>"
}
},
"last_workflow_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"human_takeover": true,
"cadence_state": "<string>",
"run_status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"conversation_summary": "<string>",
"conversation_summary_at": "2023-11-07T05:31:56Z",
"workflow": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"goal_type": "<string>"
},
"current_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"label": "<string>",
"category": "<string>"
}
}
},
"variables": {},
"engagement": {
"whatsapp": {
"last_sent_at": "2023-11-07T05:31:56Z",
"last_delivered_at": "2023-11-07T05:31:56Z",
"last_read_at": "2023-11-07T05:31:56Z",
"last_reply_at": "2023-11-07T05:31:56Z",
"window_open": true
},
"email": {
"last_sent_at": "2023-11-07T05:31:56Z",
"last_delivered_at": "2023-11-07T05:31:56Z",
"last_opened_at": "2023-11-07T05:31:56Z"
},
"call": {
"last_call_at": "2023-11-07T05:31:56Z",
"last_successful_call_at": "2023-11-07T05:31:56Z",
"total_calls": 1
}
}
}
],
"missing_ids": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Get Leads in Bulk
This operation lets you get leads in bulk for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
POST
/
leads
/
bulk
/
get
Get Leads in Bulk
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
application/json
Required array length:
1 - 500 elementsString id; malformed UUID strings are accepted and returned in missing_ids.
Last modified on September 8, 2026
⌘I